Bug 618042 - Review Request: kwebkitpart - A KPart based on QtWebKit
Review Request: kwebkitpart - A KPart based on QtWebKit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-25 15:55 EDT by nucleo
Modified: 2010-09-26 00:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: kwebkitpart-0.9.6-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 00:55:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2010-07-25 15:55:25 EDT
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/kwebkitpart/kwebkitpart.spec

SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/kwebkitpart/kwebkitpart-0.9.6-1.fc13.src.rpm

Description:
KWebKitPart is a web browser component for KDE (KPart)
based on (Qt)WebKit. You can use it for example for
browsing the web in Konqueror.


All kwebkitpart code have LGPLv2+ license.
kdelauncher/main.cpp have BSD license but it not installed. It is needed only for development purpose.

$ rpmlint kwebkitpart-0.9.6-1.fc13.i686.rpm kwebkitpart-devel-0.9.6-1.fc13.i686.rpm kwebkitpart-debuginfo-0.9.6-1.fc13.i686.rpm kwebkitpart-0.9.6-1.fc13.x86_64.rpm kwebkitpart-devel-0.9.6-1.fc13.x86_64.rpm kwebkitpart-debuginfo-0.9.6-1.fc13.x86_64.rpm kwebkitpart-0.9.6-1.fc13.src.rpm
kwebkitpart.src: W: no-buildroot-tag
7 packages and 0 specfiles checked; 0 errors, 1 warnings.

Scratch builds:
F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2349915
F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2349918

This package obsoletes webkitpart which is subpackage of webkitkde.
webkitkde was obsoleted in kdelibs.
Comment 1 Rex Dieter 2010-09-14 19:25:11 EDT
naming : ok

scriptlets : ok

license : ok

sources:
$ md5sum *.bz2
017b56eae5462617bf5fded092280e1f  127960-kwebkitpart-0.9.6.tar.bz2

rpmlint clean (as noted)

builds in mock

installs/upgrades cleanly, Obsoletes properly.

functions ok in casual usage.


Small nitpicks that can be fixed post review:
1. -devel: 
change 
Requires: kdelibs4-devel >= 4.4.0
to just
Requires: kdelibs4-devel
(the versioning is handled already via the runtime dependencies)

2.  since this is multilib'd should change
%{?_kde4_version:Requires: kdelibs4>= %{_kde4_version}}
to
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}


APPROVED.
Comment 2 nucleo 2010-09-15 08:01:25 EDT
(In reply to comment #1)
> Small nitpicks that can be fixed post review:
Fixed.

> APPROVED.
Thank you.


New Package SCM Request
=======================
Package Name: kwebkitpart
Short Description: A KPart based on QtWebKit
Owners: nucleo rdieter
Branches: f12 f13 f14
InitialCC:
Comment 3 Jens Petersen 2010-09-16 00:09:56 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2010-09-16 05:19:10 EDT
kwebkitpart-0.9.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kwebkitpart-0.9.6-1.fc14
Comment 5 Fedora Update System 2010-09-16 05:19:44 EDT
kwebkitpart-0.9.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kwebkitpart-0.9.6-1.fc13
Comment 6 Fedora Update System 2010-09-16 05:20:21 EDT
kwebkitpart-0.9.6-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/kwebkitpart-0.9.6-1.fc12
Comment 7 Fedora Update System 2010-09-17 00:05:50 EDT
kwebkitpart-0.9.6-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kwebkitpart'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kwebkitpart-0.9.6-1.fc14
Comment 8 Fedora Update System 2010-09-23 00:55:20 EDT
kwebkitpart-0.9.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-09-23 08:56:15 EDT
kwebkitpart-0.9.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-09-26 00:36:07 EDT
kwebkitpart-0.9.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.